###
### ig2m
###      image | grid to music composer
### Copyright 2006 Takahiro Kamatani.
###                  (buhii314@gmail.com)

#!/usr/bin/env  python

import sys

useShell = False

if len(sys.argv) > 1:
	useShell = True
	for x in range(1,len(sys.argv)):
		if sys.argv[x] in ['--help', '-h']:
			print "Usage: ig2m [OPTION]..."
			break
		else:
			#del sys.argv[x]
			print "ig2m: invalid option ",sys.argv[x]
			
if useShell == False:
	import gui.ui as ui
	
	one = ui.MainApp()
	one.MainLoop()